## pir-8-emu 0.1.1

=== Makefile ===
# The MIT License (MIT)

# Copyright (c) 2019 Lounge<C++>

# Permission is hereby granted, free of charge, to any person obtaining a copy of
# this software and associated documentation files (the "Software"), to deal in
# the Software without restriction, including without limitation the rights to
# use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
# the Software, and to permit persons to whom the Software is furnished to do so,
# subject to the following conditions:

# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
# FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
# COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
# IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
# CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.


include configMakefile


LDAR := $(PIC) $(LNCXXAR) $(foreach l,$(OS_LD_LIBS),-l$(l))
INCAR := $(foreach l,include,-isystem$(l))
SOURCES := $(sort $(wildcard $(SRCDIR)*.cpp $(SRCDIR)**/*.cpp $(SRCDIR)**/**/*.cpp $(SRCDIR)**/**/**/*.cpp))


.PHONY : all clean libs
.SECONDARY : $(foreach l,$(SOURCES),$(patsubst $(SRCDIR)%.cpp,$(OBJDIR)%$(OBJ),$(l)))


all : libs

clean :
	rm -rf $(OUTDIR)

libs : $(foreach l,$(SOURCES),$(patsubst $(SRCDIR)%.cpp,$(OUTDIR)$(PREDLL)%$(DLL),$(l)))


$(OUTDIR)$(PREDLL)%$(DLL) : $(OBJDIR)%$(OBJ)
	@mkdir -p $(dir $@)
	$(CXX) $(CXXAR) -o$@ $^ $(LDAR) -shared

$(OBJDIR)%$(OBJ) : $(SRCDIR)%.cpp
	@mkdir -p $(dir $@)
	$(CXX) $(CXXAR) $(INCAR) -c -o$@ $^
