=== debian/changelog ===
pir-8-emu (0.1.1-5) unstable; urgency=medium

  * Fix host triple detection

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Mon, 24 Feb 2020 00:30:43 +0100

pir-8-emu (0.1.1-4) unstable; urgency=medium

  * Patch in simple binary for extracting shell completion files
  * Install completions for bash, zsh, and fish

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sun, 23 Feb 2020 22:28:15 +0100

pir-8-emu (0.1.1-3) unstable; urgency=medium

  * Use debhelper overrides correctly

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Thu, 20 Feb 2020 03:39:49 +0100

pir-8-emu (0.1.1-2) unstable; urgency=medium

  * .desktop file for pir-8-emu
  * Extracted highest-res icon from the .ico

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Wed, 19 Feb 2020 19:11:52 +0100

pir-8-emu (0.1.1-1) unstable; urgency=medium

  * Initial release, upstream version 0.1.1

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Wed, 19 Feb 2020 15:16:50 +0100
