## pir-8-emu 2.0.1

=== debian/changelog ===
pir-8-emu (2.0.1-2) unstable; urgency=medium

  * Fix build defs to actually build in a clean sid chroot

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Sat, 07 Mar 2020 14:30:07 +0100

pir-8-emu (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Tue, 03 Mar 2020 16:20:21 +0100
