=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,12 @@
 
 
 override_dh_auto_build:
-	mkdir -p completions
-	$(RONN) --organization="Lounge<C++>" $(wildcard man/*.md)	
+	mkdir -p target/completions target/locales
+	localedef -i en_GB -c -f UTF-8 -A /usr/share/locale/locale.alias target/locales/en_GB.UTF-8
+	LOCPATH="target/locales/" LC_CTYPE="en_GB.UTF-8" $(RONN) -r --organization="Lounge<C++>" $(wildcard man/*.md)
 	$(MAKE)
 	RUSTFLAGS=-g $(CARGO) build --release
-	cd completions && ../target/release/pir-8-build-completions
+	cd target/completions && ../../target/release/pir-8-build-completions
 
 override_dh_auto_install:
 	mkdir -p $(foreach l,$(OUTDIR_EMULATOR) $(OUTDIR_BINUTILS),$(l)usr/bin $(l)usr/share/zsh/vendor-functions $(l)usr/share/fish/vendor_completions.d) $(OUTDIR_EMULATOR)usr/share/pixmaps $(OUTDIR_EMULATOR)usr/share/applications $(OUTDIR_DEVEL)usr/lib/$(TRIPLE)/pir-8-emu/handler-examples/ $(OUTDIR_DEVEL)usr $(foreach l,$(OUTDIR_BINUTILS) $(OUTDIR_DEVEL) $(OUTDIR_ISA),$(l)usr/share/pir-8-emu)
@@ -39,11 +40,15 @@
 	@
 	dh_bash-completion
 	# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=921236#17
-	cp completions/_pir-8-emu                         $(OUTDIR_EMULATOR)usr/share/zsh/vendor-functions/
-	cp $(foreach l,as disasm,completions/_pir-8-$(l)) $(OUTDIR_BINUTILS)usr/share/zsh/vendor-functions/
+	cp target/completions/_pir-8-emu                         $(OUTDIR_EMULATOR)usr/share/zsh/vendor-functions/
+	cp $(foreach l,as disasm,target/completions/_pir-8-$(l)) $(OUTDIR_BINUTILS)usr/share/zsh/vendor-functions/
 	# # https://fishshell.com/docs/current/#where-to-put-completions
-	cp completions/pir-8-emu.fish                         $(OUTDIR_EMULATOR)usr/share/fish/vendor_completions.d/
-	cp $(foreach l,as disasm,completions/pir-8-$(l).fish) $(OUTDIR_BINUTILS)usr/share/fish/vendor_completions.d/
+	cp target/completions/pir-8-emu.fish                         $(OUTDIR_EMULATOR)usr/share/fish/vendor_completions.d/
+	cp $(foreach l,as disasm,target/completions/pir-8-$(l).fish) $(OUTDIR_BINUTILS)usr/share/fish/vendor_completions.d/
+
+override_dh_auto_clean:
+	rm -rf target/ Cargo.lock $(wildcard man/*.1)
+	$(MAKE) clean
 
 # changelog.pir-8:     git log --no-decorate --no-show-signature
 # changelog.pir-8-emu: for tag in $(git tag -l | tac); do git tag -ln1000 "$tag"; echo; echo; done | awk '!/[[:space:]]+\([[:alnum:]]{40}\)$/' | sed -re 's;\([[:alnum:]]{40}\);+;g' -e 's;\(#;(https://github.com/LoungeCPP/pir-8-emu/issues/;g' -e 's;\(@;(https://github.com/;g' | head -c -2
