## pir-8-emu 2.0.2

=== debian/changelog ===
pir-8-emu (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2

 -- nabijaczleweli <nabijaczleweli@gmail.com>  Fri, 13 Mar 2020 18:35:06 +0100
